#key-terms-block {
   height: 43.05vw;
   width: 100%;
   position: relative;
}

.key-terms_container {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.key-terms_title {
    text-align: center;
    margin-top: 9%;
    font-size: 2.8vw;;
    color: #0F4783;
    font-weight: 800;
    
}

.key-terms_terms {
    display: flex;
    justify-content: center;
    padding: 20px;
}

.key-terms_terms p {
    font-weight: bold;
    font-size: 1.25vw;
    line-height: 120%;
    text-align: center;
    letter-spacing: 0.05em;
    color: #00406B;
    border: 2px solid #2B8FFF;
    border-radius: 25px;
    background-color: #ffffff;
    padding: 10px 16px;
    margin: 1.5%;
    display: block;
    width: fit-content;
}

.key-terms_terms p:hover {
    cursor: pointer;
    opacity: 0.7;  
}

.term-active {
    background-color: #C6F7E7 !important;
    border: none !important;
}

.term-active:hover {
    opacity: 1 !important; 
    cursor: default !important;
}

.key-terms_definition {
    display: none;
}

.def-active {
    display: block;
}

.term-defTitle {  
    font-size: 1.5vw;
    font-weight: 900;
    color: #00406B;
}

.key-terms_definitions-cont {
    position: relative;
    background-color: #E8F5FF;
    border-radius: 10px;
    align-self: center;
    width: 52.85%;
    height: auto;
    padding: 2.75%;
}

.definition {
    font-size: 1.25vw;
    color: #00406B;
}


.definition-active {
    display:block !important;
}

/* ABSOLUTE POSITIONED CIRCLES STYLING */
.circle-yellow {
    position: absolute;  
    bottom: 75%;
    right: 83%;
    z-index: -2;
    height: 23.6vw;
    width: 23.6vw;
    background-color: #FED771;
    border-radius: 180px;
}

.circle-mint {
    position: absolute;
    bottom: -61px;
    left: 90px;
    z-index: -2;
    width: 7.7vw;
    height: 7.7vw;
    background-color: #8DEDCF !important;
    border-radius: 180px;
}

.circle-blue {
    position: absolute;
    right: 20px;
    top: 20px;
    height: 17.9vw;
    width: 17.9vw;
    background-color: #B2DEFE;
    border-radius: 180px;
    z-index: -2;
}

.circle-peach {
    position: absolute;
    right: -5%;
    top: 71%;
    height: 6.8vw;
    width: 6.8vw;
    background-color: #FED1D2;
    border-radius: 180px;
}

@media only screen and (max-width: 576.9px) {
    #key-terms-block {
        height: 839px;
    } 

    .key-terms_title {
        font-size: 27px;
        margin-top: 30%;   
    }

    .key-terms_terms {
        flex-wrap: wrap;  
    }

    .key-terms_terms p { 
        font-size: 14px;
        flex: 1 0 21%;
        align-self: center;
    }

    .key-terms_definitions-cont {
        width: 80%;
        margin-top: 10%;
        padding: 7%;
        height: 46%;
    }
  
    .term-defTitle {
        font-size: 22px;
        margin-bottom: 9%;
    }

    .definition {
        font-size: 18px;
    }

    .circle-yellow {
        position: absolute;
        top: -27%;
        left: -53%;
        height: 343px;
        width: 343px;
        z-index: -2;
        background-color: #FED771;
        border-radius: 180px;
    }
    
    .circle-mint {
        position: absolute;
        bottom: -61px;
        left: 90px;
        z-index: -2;
        width: 7.7vw;
        height: 7.7vw;
        background-color: #8DEDCF !important;
        border-radius: 180px;
    }
    
    .circle-blue {
        position: absolute;
        right: -28%;
        top: 80%;
        height: 264px;
        width: 264px;
        background-color: #B2DEFE;
        border-radius: 180px;
        z-index: -2;
    }
    
    .circle-peach {
        position: relative;
        right: -71%;
        top: -94%;
        height: 73px;
        width: 73px;
        border-radius: 180px;
        z-index: -2;
    }
}


